Package org.apache.tapestry5.javadoc

# Class TapestryDocTaglet

java.lang.Object
org.apache.tapestry5.javadoc.TapestryDocTaglet

All Implemented Interfaces:
  `jdk.javadoc.doclet.Taglet`, `ClassDescriptionSource`

public class TapestryDocTaglet extends Object implements jdk.javadoc.doclet.Taglet, ClassDescriptionSource
An inline tag allowed inside a type; it produces Tapestry component reference and other information.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface jdk.javadoc.doclet.Taglet

  `jdk.javadoc.doclet.Taglet.Location`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TapestryDocTaglet()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<jdk.javadoc.doclet.Taglet.Location>`
  `getAllowedLocations()`
  `ClassDescription`
  `getDescription(String className)`
  `String`
  `getName()`
  `void`
  `init(jdk.javadoc.doclet.DocletEnvironment env, jdk.javadoc.doclet.Doclet doclet)`
  `boolean`
  `isInlineTag()`
  `static void`
  `register(Map paramMap)`
  `String`
  `toString(List<? extends com.sun.source.doctree.DocTree> tags, Element element)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface jdk.javadoc.doclet.Taglet

  `isBlockTag`

- ## Constructor Details

  - ### TapestryDocTaglet

    public TapestryDocTaglet()

- ## Method Details

  - ### register

    public static void register(Map paramMap)

  - ### init

    public void init(jdk.javadoc.doclet.DocletEnvironment env, jdk.javadoc.doclet.Doclet doclet)
    Specified by:
      `init` in interface `jdk.javadoc.doclet.Taglet`

  - ### getAllowedLocations

    public Set<jdk.javadoc.doclet.Taglet.Location> getAllowedLocations()
    Specified by:
      `getAllowedLocations` in interface `jdk.javadoc.doclet.Taglet`

  - ### isInlineTag

    public boolean isInlineTag()
    Specified by:
      `isInlineTag` in interface `jdk.javadoc.doclet.Taglet`

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `jdk.javadoc.doclet.Taglet`

  - ### toString

    public String toString(List<? extends com.sun.source.doctree.DocTree> tags, Element element)
    Specified by:
      `toString` in interface `jdk.javadoc.doclet.Taglet`

  - ### getDescription

    public ClassDescription getDescription(String className)
    Specified by:
      `getDescription` in interface `ClassDescriptionSource`